%   chaleur01.m
%   fd, 12 novembre 2010, 06 mars 2025  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   clear ; format long

fprintf('chaleur01 \n') ; 
fprintf('la chaleur avec les series de Fourier \n') 
fprintf('on suppose que mu pi**2 = 1  \n') 
fprintf('evolution avec forcing par un mode du laplacien   \n')


n = 180  
dx = 1/n ; 

xx = zeros(1,n+1) ; y1 = xx ; 
xa    = 0 ; 
for j = 1:n+1 ;
xx(j) = xa ; y1(j) = sin(pi*xa) ;
xa = xa + dx ; end 

hold off 
plot (xx,y1,'k;second membre;' )
axis ([ -.02 , 1.02 , -.05 , 1.05])

title ('second membre de l equation de la chaleur') ;
print('01a-sinus', '-djpg','-S891,630'); 

  
  pause (1) ; hold on 

t = .5
yt = y1 ; 
alpha = (1./(pi*pi)) + (1./(pi*pi))*(exp(-t/(pi*pi)))
%   yt = alpha*y1 ; 

dt = .1 
  niter = 20 ; t=0 ; 
for kt = 1:niter ;
alpha = 1.- exp(-t) ; 
  yt = alpha*y1 ; 
plot (xx,yt,'r;yt;' )
delete (findobj ("tag", "legend"))
pause (.001) ;


t = t + dt ; end 

title ('evolution avec une condition initiale nulle') ;
print('01b-chaleur-evolution', '-djpg','-S891,630'); 

 
